summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-30 19:00:02 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2025-05-30 19:00:02 +0000
commit36a035beea8d3011a17d3090851d72caed6b87a9 (patch)
tree80fe65a93f5a482b509b9943685368c92e302dd8 /dev-python
parent111feb03ecf6c5395acf51355d99a5c33ac31358 (diff)
downloadbaldeagleos-repo-36a035beea8d3011a17d3090851d72caed6b87a9.tar.gz
baldeagleos-repo-36a035beea8d3011a17d3090851d72caed6b87a9.tar.xz
baldeagleos-repo-36a035beea8d3011a17d3090851d72caed6b87a9.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/clikit/clikit-0.6.2-r1.ebuild4
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.131.31.ebuild130
-rw-r--r--dev-python/indexed-gzip/Manifest1
-rw-r--r--dev-python/indexed-gzip/indexed-gzip-1.9.5.ebuild60
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild6
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mechanicalsoup/Manifest1
-rw-r--r--dev-python/mechanicalsoup/mechanicalsoup-1.4.0.ebuild51
-rw-r--r--dev-python/pytest-datadir/Manifest1
-rw-r--r--dev-python/pytest-datadir/pytest-datadir-1.7.0.ebuild28
-rw-r--r--dev-python/ruamel-yaml/Manifest1
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.18.12.ebuild53
-rw-r--r--dev-python/sqlglot/Manifest4
-rw-r--r--dev-python/sqlglot/sqlglot-26.24.0.ebuild (renamed from dev-python/sqlglot/sqlglot-26.22.1.ebuild)88
17 files changed, 426 insertions, 28 deletions
diff --git a/dev-python/clikit/clikit-0.6.2-r1.ebuild b/dev-python/clikit/clikit-0.6.2-r1.ebuild
index 970a47499e50..7bb1ec01152d 100644
--- a/dev-python/clikit/clikit-0.6.2-r1.ebuild
+++ b/dev-python/clikit/clikit-0.6.2-r1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022-2025 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_COMPAT=( python3_{11..14} )
inherit distutils-r1
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 3b5986a9eab6..80376e93f379 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -4,3 +4,4 @@ DIST hypothesis-6.131.24.gh.tar.gz 9554685 BLAKE2B 9f1216facfffb33ac084b036166c5
DIST hypothesis-6.131.27.gh.tar.gz 9555908 BLAKE2B 3a5d9c31a6ccd6bab640fcb63412100dfe996ca1f5f645d3cf5c15366dba510f997620ceb942a292f14b93ffa2915d6061f069d9daffe9550aad4b376dfd1e61 SHA512 447520bac874536a35d2107a4c382993a5293840c7adfcac6d177c31401cdaaf2a4159a193e8079726d71c285009649c17c4a3ce05aceea11303b8b8a490dcb2
DIST hypothesis-6.131.28.gh.tar.gz 9560323 BLAKE2B f6c5b9b578e57689cffad89b283f21503e3c78025a11d28b3da30ca1d73ea2a3d3faa6401cbd3bb417c1c838f0720e9a9ce2119bcd5a17436731bbab112198f2 SHA512 ac64e3de3b8ebeeaefa46d7f288739c6534b6a4f3773d5ccc706ae6a0376dbe496905e7932374c89a7b39cb02b9539d74c5556e4744b025873df94842efff938
DIST hypothesis-6.131.30.gh.tar.gz 9561108 BLAKE2B 01a5dc698a1fe466dee4ff65fb934d49e43df8c71102714ed6294af271682a5314b32c513cb4b7f9e892c1da8d6a7f557a6b9246619ae412e60d51e1db8d231b SHA512 ef9f23015d783af2528fc00b0ff0bfac8a25fdadaf875772a0f8dd826a84cb85006d6224266a6b3ed9241a7903151d0ececc56fe3f7af72e5a82cf39de702c61
+DIST hypothesis-6.131.31.gh.tar.gz 9561674 BLAKE2B 10689c2a1b86d79a7de86be6ecb65e09ddaf5e15d871a63f9f0697b16a0fb381472342271664d62c7bcc198186255e57b7ee67f05213bd33c88fa16ec5713c14 SHA512 c43a8e318ca4cc3830c4a21b247f745e9696323ff33345be80ee011d5aab1a4bbc47735ebe5a50e043de08c358eef6ce10e22124164ddfea79d1a1f9db883ead
diff --git a/dev-python/hypothesis/hypothesis-6.131.31.ebuild b/dev-python/hypothesis/hypothesis-6.131.31.ebuild
new file mode 100644
index 000000000000..997db78b8df2
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.131.31.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{11..13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ >=dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=(
+ # hangs
+ hypothesis-python/tests/cover/test_lookup.py::test_lookup_overrides_defaults
+ )
+
+ case ${EPYTHON} in
+ python3.13t)
+ EPYTEST_DESELECT+=(
+ # TODO: missing warning
+ 'hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns'
+ )
+ ;&
+ python3.14*)
+ EPYTEST_DESELECT+=(
+ 'hypothesis-python/tests/cover/test_compat.py::test_resolve_fwd_refs[Foo-Union]'
+ 'hypothesis-python/tests/cover/test_lookup.py::test_builds_suggests_from_type[Union]'
+ hypothesis-python/tests/cover/test_attrs_inference.py::test_attrs_inference_builds
+ hypothesis-python/tests/cover/test_lookup.py::test_bytestring_not_treated_as_generic_sequence
+ hypothesis-python/tests/cover/test_lookup.py::test_issue_4194_regression
+ hypothesis-python/tests/cover/test_lookup.py::test_resolves_forwardrefs_to_builtin_types
+ hypothesis-python/tests/cover/test_lookup.py::test_specialised_collection_types
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_collection_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_container_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_contextmanager_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_iterable_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_reversible_as_generic
+ hypothesis-python/tests/cover/test_lookup_py37.py::test_resolving_standard_sequence_as_generic
+ hypothesis-python/tests/cover/test_random_module.py::test_evil_prng_registration_nonsense
+ hypothesis-python/tests/cover/test_random_module.py::test_passing_referenced_instance_within_function_scope_warns
+ hypothesis-python/tests/cover/test_random_module.py::test_register_random_within_nested_function_scope
+ hypothesis-python/tests/cover/test_random_module.py::test_registering_a_Random_is_idempotent
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_dot_access_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_missing_forward_ref
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_checking_only_forward_ref_wrong_type
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py::test_bound_type_cheking_only_forward_ref
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -p rerunfailures --reruns=5 \
+ tests/cover tests/pytest tests/quality
+}
+
+src_install() {
+ local HAD_CLI=
+
+ distutils-r1_src_install
+
+ if [[ ! ${HAD_CLI} ]]; then
+ rm -r "${ED}/usr/bin" || die
+ fi
+}
+
+python_install() {
+ distutils-r1_python_install
+ if use cli && has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ HAD_CLI=1
+ else
+ rm -r "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/indexed-gzip/Manifest b/dev-python/indexed-gzip/Manifest
index c598e074137a..dd0ac2d02531 100644
--- a/dev-python/indexed-gzip/Manifest
+++ b/dev-python/indexed-gzip/Manifest
@@ -1 +1,2 @@
DIST indexed_gzip-1.8.7.tar.gz 74172 BLAKE2B a3feddb50a165a73dcf5af79f1470c0ec2933002ef162fc323a66d8d4782b318f52dd92ca81f413b6b4571f2fcc5be7f74e088de6876bd180a2cf7d3360f18b9 SHA512 89b902d3511927d45d424ea09dfcec3037ec1f295cdac30aa5ae50d664bdb75ef1bdaad6e12f317a51bb9c01485aa09d2c0a07923b544307f762dc280048327a
+DIST indexed_gzip-1.9.5.tar.gz 75925 BLAKE2B f1ac3e81ebe15188c50ac71a9d91877741209d76b1f54713034f15af7869c5366a3d436da0ba4d4f1784cb8accf83a464949370d99cdfdffd8c47536e1a3e2e1 SHA512 7268923406014ed9ed7ed34b0fd87997f2cb9a90cb354c0beb3f689bba3f7e220090682e1c93b0dc338eaac6d31a76fa6e2441ac3f52c7c631b44355161eae61
diff --git a/dev-python/indexed-gzip/indexed-gzip-1.9.5.ebuild b/dev-python/indexed-gzip/indexed-gzip-1.9.5.ebuild
new file mode 100644
index 000000000000..6e246d8cd05c
--- /dev/null
+++ b/dev-python/indexed-gzip/indexed-gzip-1.9.5.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="
+ https://pypi.org/project/indexed-gzip/
+ https://github.com/pauldmccarthy/indexed_gzip/
+"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ sys-libs/zlib:=
+"
+DEPEND="
+ ${RDEPEND}
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_compile() {
+ # This actually enables line tracing, so it fits USE=debug more.
+ if use debug; then
+ export INDEXED_GZIP_TESTING=1
+ fi
+ # Fix implicit dependency on numpy that is used to build test
+ # extensions.
+ if ! use test; then
+ local -x PYTHONPATH="${T}:${PYTHONPATH}"
+ cat >> "${T}"/numpy.py <<-EOF || die
+ raise ImportError("I am not here!")
+ EOF
+ fi
+ distutils-r1_src_compile
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)/indexed_gzip/tests" || die
+ epytest
+ # temporary files and test extensions
+ # (to achieve equivalence with USE=-test)
+ rm ctest*.{c,gz,so,tmp} || die
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..d12ab8aeaca8 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 494 BLAKE2B 9cd8a2a93a8d45bf51fe2324402b175d641762ea591fcb99459427f977a95eccffa6ca4777ca4df39814eea6eac62711567faa654456d32f79023a4685804504 SHA512 d973b85ba1a44389a4275f02a779a93a005f7c2e096467b94b072862e4984d5b42cf33f9821ac68aa5b85b12c98983a90b96049989d8c84497969174b6bb838e
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 99577c43fc3e..56733bbffc48 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
DISTUTILS_USE_PEP517=setuptools
inherit distutils-r1 pypi
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index c0f74ac187e2..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,9 +2,11 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>pastalian46@gmail.com</email>
- <name>Takuya Wakazono</name>
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
</maintainer>
-
- <origin>gentoo-guru-overlay</origin>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mechanicalsoup/Manifest b/dev-python/mechanicalsoup/Manifest
index 57317f12db9f..bd831148f46f 100644
--- a/dev-python/mechanicalsoup/Manifest
+++ b/dev-python/mechanicalsoup/Manifest
@@ -1 +1,2 @@
DIST MechanicalSoup-1.3.0.tar.gz 50826 BLAKE2B c47760a0f8d9c7a6430580c81fb750d3eab37a773a7453fb2850396ea2cff1ae143b1ec9ec5e1d8051a52f39c1527b99126f4ea2c90a73c7730597dd92a42a11 SHA512 a205c9b36b540be8b3eb15803c34e67029cb5b33aaf36d235947cc46c588f2d63e68acd97a9872b20ad3f1c87dcdb6133b4860dc7d90752ac477aaaa9a7c3e82
+DIST mechanicalsoup-1.4.0.tar.gz 51131 BLAKE2B 30613e93134f4104a353c1278776650c4013f5e0943acc7ab52c5b9e480a967d0f58955c96c06f50c4638ce52078466227fcbd0912197c793a46b19bbd3b7820 SHA512 e8e8ab304ee9a22886bc4d41871bb1433abfd87005f9a870fca3e22b4632da185be2becb25cfbb9be42662748394d90f70d52f6d81438c391f47716bc7eaf8ea
diff --git a/dev-python/mechanicalsoup/mechanicalsoup-1.4.0.ebuild b/dev-python/mechanicalsoup/mechanicalsoup-1.4.0.ebuild
new file mode 100644
index 000000000000..296cdc4dad54
--- /dev/null
+++ b/dev-python/mechanicalsoup/mechanicalsoup-1.4.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_PN=MechanicalSoup
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python library for automating interaction with websites"
+HOMEPAGE="
+ https://github.com/MechanicalSoup/MechanicalSoup/
+ https://pypi.org/project/MechanicalSoup/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+RDEPEND="
+ >=dev-python/beautifulsoup4-4.7[${PYTHON_USEDEP}]
+ >=dev-python/certifi-2022.12.7[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.22.0[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-2.2.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+ dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_test() {
+ epytest -o addopts=
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/pytest-datadir/Manifest b/dev-python/pytest-datadir/Manifest
index d80fc247ec93..966a44e4bdce 100644
--- a/dev-python/pytest-datadir/Manifest
+++ b/dev-python/pytest-datadir/Manifest
@@ -1 +1,2 @@
DIST pytest_datadir-1.6.1.tar.gz 9391 BLAKE2B ce5d0a87e610c6828e2b342bf8d41534e729dff5728238d1ea6a5a78fa1e46d70d4e00d197797f712c1cb4cb3988890a2b1de12f84f867b4538aa57566cb439d SHA512 e7de5aa5196d9c6be519c77b8139bdb416d91540739671d1ae838c4292007819fd6a0b1e0c9aa9380db8ebdeed927c4cfec3e6d4b0f1b2b2b42ec2cce0f97e44
+DIST pytest_datadir-1.7.0.tar.gz 10795 BLAKE2B 85910bf65bf7f163c787c9b4ef75767b65e69197808c4aeeb07ee706d4cd6fefa60fc89788fdeff886cbd8e6ef9bbf3ae7e2934309156fabb910ea8e56a6547b SHA512 6be7ff6a4d615941aa3e99739df79c19eba1eb0bd7edca1cacc80b5ad3a48e3045c4b75e3de965eb4ad720ea0c18f3733a8fc652ef0086432bd1485e2f86fd53
diff --git a/dev-python/pytest-datadir/pytest-datadir-1.7.0.ebuild b/dev-python/pytest-datadir/pytest-datadir-1.7.0.ebuild
new file mode 100644
index 000000000000..1c3dc1901c2f
--- /dev/null
+++ b/dev-python/pytest-datadir/pytest-datadir-1.7.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pytest plugin for manipulating test data directories and files"
+HOMEPAGE="
+ https://github.com/gabrielcnr/pytest-datadir/
+ https://pypi.org/project/pytest-datadir/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index 52a21c7fe98f..9ca9f1ef619e 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -1,2 +1,3 @@
DIST ruamel.yaml-0.18.10.tar.xz 198860 BLAKE2B 02b6a1791002e5bd31c321c6307b7239be6f248e9b9186fcf9bdc440b966f15f5e947976a3295a279071a3b1f2853a2eb196851363ad3ed87f943850e40f0909 SHA512 089977ba0ac7b2f9cf761b4d94aa647ec431abe88fe21f167011899be3d13b5072b330a4c3f09cd14406692377235ec433db3f15e15df1a56697443cce4027fa
DIST ruamel.yaml-0.18.11.tar.xz 199288 BLAKE2B 61570938ce90a7143241d903a6ccb83137aedda3d726b9cce337217f3fc0cf27aadfb7d80510ef19574dd25c71451643bb8fda4d392a8b0c6f8f63595bb65af4 SHA512 3858ea80024c94e3e0f685fc93c4a94ffbf967269b3c8c0422590507d7639dbb2b70b86fc5ad536e9d5491d3082e5aeef85f7660837f786bf20acb04f7822c37
+DIST ruamel.yaml-0.18.12.tar.xz 199740 BLAKE2B 3eb891258980395f66428993c66b13ef79b1d26b91d1f60b7b461d3eb15c5de7afe4bf149dd077d12681fdae78544a919fca8826ba4f0705b6d4873d1850127c SHA512 982d640576a26d72ed1eb66bde9954c2e083c973eecc96a1e006fc904d4681a9a82574ba26a24dd697f503a77f8ab2f936f991e63a61b5e5d89894072404a41c
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.18.12.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.18.12.ebuild
new file mode 100644
index 000000000000..2bccc5e4d8cb
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.18.12.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9,10,11,12,13} pypy3 )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/projects/ruamel-yaml/
+"
+# PyPI tarballs do not include tests
+SRC_URI="https://downloads.sourceforge.net/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
+ !dev-python/namespace-ruamel
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ _test/test_deprecation.py::test_collections_deprecation
+ )
+ local EPYTEST_IGNORE=(
+ # Old PyYAML tests from lib/ require special set-up and are
+ # invoked indirectly via test_z_olddata, tell pytest itself
+ # to leave the subdir alone.
+ _test/lib/
+ )
+
+ # this is needed to keep the tests working while
+ # dev-python/namespace-ruamel is still installed
+ distutils_write_namespace ruamel
+ epytest
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 81dd3ac744f6..66cdd7c4bd40 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -1,4 +1,4 @@
-DIST sqlglot-26.22.1-crates.tar.xz 8327388 BLAKE2B 69213d11940f9d4e743b169ef831b8b52a771f012e247570cf0703580a14af435d4d033b4b3ddfca6f4022b741261a24f3b47e5137de644d863714006520f857 SHA512 5de0781c54265b369e5e46b7cfbcc04a3118aa8d1323bff14f2841c95d471f545c923eedb88dbbb81a910801c5a505ff37a25701af936c06cf55a1659cd8822e
-DIST sqlglot-26.22.1.tar.gz 5369216 BLAKE2B a47491d4ef3ec4510f8e7d5247d15c2b168886372b3e997f7a8b13469a74b7bd4b171fc6e1a710f4f61977cdf8cb39ddf1d382675bb077ae79ae28d1d63ce7cc SHA512 db15df6c32b8aee6bb24cf0442f91c25869b067d0360b1fd98836144abe4e777d6e00d6d296eacaaa34f9e05c0b7cda040ec7b31f2d06efa9ca08d1293038f69
DIST sqlglot-26.23.0-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7076819a26dcdaa89fa3760559a79578db01e86943c2d0ffb8006263c2dca3aa50d20023eae9d772f8ebd12a8a2d3266cdd SHA512 7cca439a06433a62bcd4a2af33d240f46e9b5240cc158edbc654efb37a464aa0f1ebbe9749b2fc6352127b4809b63af2341fac6240050c414e578ae99444ba5d
DIST sqlglot-26.23.0.tar.gz 5369411 BLAKE2B 621d8bba91e72b3671aa0d2fa90ac0e4e9d3b6c116be02a423eb779ab8bd67f9edcabeb6e94ddea6856a22373a02e5517053945f7ea2728ef6b56333671e68c0 SHA512 54b378ad94be7c641b537e9917d2b69c3abdbcfff81a28b8a280d5198b35d6157f518289101332abf0643b3ea56670f948b6db598d358b06ac2a6ace38df8acc
+DIST sqlglot-26.24.0-crates.tar.xz 8859792 BLAKE2B abb2051b392c53dc3caa705ddd8df7076819a26dcdaa89fa3760559a79578db01e86943c2d0ffb8006263c2dca3aa50d20023eae9d772f8ebd12a8a2d3266cdd SHA512 7cca439a06433a62bcd4a2af33d240f46e9b5240cc158edbc654efb37a464aa0f1ebbe9749b2fc6352127b4809b63af2341fac6240050c414e578ae99444ba5d
+DIST sqlglot-26.24.0.tar.gz 5371208 BLAKE2B 76a6e3f1c940a7b2b3f6d9845fc6295b8d28bd32306aaef1b7829861ed6ceb151ab0fb3b7830717a91432f491e1268b404b26b830c5382d8a08b74d83bb27093 SHA512 84512d3adebc369a17dcb5823644b636954ec52cb566491ed7874765fc979f4df5c7e750855026b7eb83481d8779f65723562603ac671b371df0588d2af1d701
diff --git a/dev-python/sqlglot/sqlglot-26.22.1.ebuild b/dev-python/sqlglot/sqlglot-26.24.0.ebuild
index 745ae109fd13..84a615136142 100644
--- a/dev-python/sqlglot/sqlglot-26.22.1.ebuild
+++ b/dev-python/sqlglot/sqlglot-26.24.0.ebuild
@@ -3,13 +3,95 @@
EAPI=8
-CRATES=""
+CRATES="
+ aho-corasick@1.1.3
+ anes@0.1.6
+ anstyle@1.0.10
+ autocfg@1.1.0
+ bumpalo@3.16.0
+ cast@0.3.0
+ cfg-if@1.0.0
+ ciborium-io@0.2.2
+ ciborium-ll@0.2.2
+ ciborium@0.2.2
+ clap@4.5.23
+ clap_builder@4.5.23
+ clap_lex@0.7.4
+ criterion-plot@0.5.0
+ criterion@0.5.1
+ crossbeam-deque@0.8.6
+ crossbeam-epoch@0.9.18
+ crossbeam-utils@0.8.21
+ crunchy@0.2.2
+ either@1.13.0
+ half@2.4.1
+ heck@0.5.0
+ hermit-abi@0.4.0
+ indoc@2.0.4
+ is-terminal@0.4.13
+ itertools@0.10.5
+ itoa@1.0.14
+ js-sys@0.3.76
+ libc@0.2.169
+ log@0.4.22
+ memchr@2.7.4
+ memoffset@0.9.0
+ num-traits@0.2.19
+ once_cell@1.19.0
+ oorandom@11.1.4
+ plotters-backend@0.3.7
+ plotters-svg@0.3.7
+ plotters@0.3.7
+ portable-atomic@1.9.0
+ proc-macro2@1.0.89
+ pyo3-build-config@0.25.0
+ pyo3-ffi@0.25.0
+ pyo3-macros-backend@0.25.0
+ pyo3-macros@0.25.0
+ pyo3@0.25.0
+ quote@1.0.37
+ rayon-core@1.12.1
+ rayon@1.10.0
+ regex-automata@0.4.9
+ regex-syntax@0.8.5
+ regex@1.11.1
+ rustc-hash@2.1.0
+ ryu@1.0.18
+ same-file@1.0.6
+ serde@1.0.216
+ serde_derive@1.0.216
+ serde_json@1.0.133
+ syn@2.0.87
+ target-lexicon@0.13.2
+ tinytemplate@1.2.1
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ walkdir@2.5.0
+ wasm-bindgen-backend@0.2.99
+ wasm-bindgen-macro-support@0.2.99
+ wasm-bindgen-macro@0.2.99
+ wasm-bindgen-shared@0.2.99
+ wasm-bindgen@0.2.99
+ web-sys@0.3.76
+ winapi-util@0.1.9
+ windows-sys@0.52.0
+ windows-sys@0.59.0
+ windows-targets@0.52.6
+ windows_aarch64_gnullvm@0.52.6
+ windows_aarch64_msvc@0.52.6
+ windows_i686_gnu@0.52.6
+ windows_i686_gnullvm@0.52.6
+ windows_i686_msvc@0.52.6
+ windows_x86_64_gnu@0.52.6
+ windows_x86_64_gnullvm@0.52.6
+ windows_x86_64_msvc@0.52.6
+"
+
+CARGO_OPTIONAL=1
DISTUTILS_EXT=1
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{9,10,11,12,13} )
-CARGO_OPTIONAL=1
-
inherit cargo distutils-r1 pypi optfeature
DESCRIPTION="An easily customizable SQL parser and transpiler"